## php4-apd 0.4p2-3

=== debian/changelog ===
php4-apd (0.4p2-3) unstable; urgency=low

  * Fixed 'recommends' field: now recommends php4 instead of php4-apache
    Closes: #240557
  * Changed location of module from /usr/lib/php4 to /usr/lib/php4/20020429
    Closes: #224240

 -- Jonathan Oxer <jon@debian.org>  Fri,  2 Apr 2004 09:42:17 +1000

php4-apd (0.4p2-2) unstable; urgency=low

  * Removed some of the build-depends since they're in build-essential
    anyway, and removed other build-depends version requirements.
    Closes: #208747

 -- Jonathan Oxer <jon@debian.org>  Fri,  5 Sep 2003 22:20:50 +1000

php4-apd (0.4p2-1) unstable; urgency=low

  * Initial Release.
    Closes: #179100

 -- Jonathan Oxer <jon@debian.org>  Mon, 25 Aug 2003 16:33:24 +1000
