=== debian/control ===
Source: php4-apd
Section: web
Priority: optional
Maintainer: Jonathan Oxer <jon@debian.org>
Build-Depends: debhelper (>> 4.0.0), binutils, php4-dev (>= 4.3 )
Standards-Version: 3.6.1

Package: php4-apd
Architecture: any
Depends: ${shlibs:Depends}, php4-cgi (>= 4:4.3), php4-pear
Recommends: php4 (>= 4:4.3)
Description: PHP code execution profiler and debugger
 Advanced PHP Debugger is a full-featured PHP profiler/debugger that 
 is loaded as a zend_extension. It aims to be an analog of C's gprof 
 or Perl's Devel::DProf, and provides PHP developers with a number of 
 additional functions which can be used to obtain internal code 
 execution details such as timing information, function call tree and 
 stack backtrace. This is particularly useful for performance profiling 
 purposes. See pear.php.net/apd for more information.
