## php4-apd 0.4p2-5

=== debian/changelog ===
php4-apd (0.4p2-5) unstable; urgency=low

  * Rolled back to build against non-ZTS ABI

 -- Jonathan Oxer <jon@debian.org>  Thu, 14 Apr 2005 13:52:20 +1000

php4-apd (0.4p2-4) unstable; urgency=low

  * Changed installation directory for the ZTS (Zend Thread Safe) build
    of php4.
    Closes: #294012, #293959
  * Altered postinst to no longer ask whether it should configure APD: now
    it just does it, and upgrades old configs where necessary.

 -- Jonathan Oxer <jon@debian.org>  Sat,  5 Mar 2005 22:47:14 +1100
