=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: Jonathan Oxer <jon@debian.org>
-Build-Depends: debhelper (>> 4.0.0), binutils, php4-dev (>= 4.3 )
+Build-Depends: debhelper (>> 4.0.0), binutils, php4-dev (>= 4:4.3.10-3 )
 Standards-Version: 3.6.1
 
 Package: php4-apd
 Architecture: any
-Depends: ${shlibs:Depends}, php4-cgi (>= 4:4.3), php4-pear
+Depends: ${php:Depends}, ${shlibs:Depends}, php4-cli (>= 4:4.3), php4-pear
 Recommends: php4 (>= 4:4.3)
 Description: PHP code execution profiler and debugger
  Advanced PHP Debugger is a full-featured PHP profiler/debugger that
