=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 #export DH_VERBOSE=1
 
 
-
+PHP_PREFIX=/usr
+phpapiver=$(shell grep '\#define PHP_API_VERSION ' $(PHP_PREFIX)/include/php4/main/php.h |sed 's/\#define PHP_API_VERSION //')
+extdir=$(shell $(PHP_PREFIX)/bin/php-config --extension-dir)
 
 CFLAGS = -Wall -g
 
@@ -55,9 +57,10 @@
 	dh_clean -k
 	dh_installdirs
 
-	install -m755 modules/apd.so debian/php4-apd/usr/lib/php4/20020429/apd.so
 	# Add here commands to install the package into debian/php4-apd.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/php4-apd
+	mkdir -p debian/php4-apd/$(extdir)
+	install -m755 modules/apd.so debian/php4-apd/$(extdir)/apd.so
 	install -m755 pprofp debian/php4-apd/usr/bin/pprofp
