## php4-apd 0.4p2-6

=== debian/changelog ===
php4-apd (0.4p2-6) unstable; urgency=low

  * Major new upstream release.
  * Build against Zend ABI 20050606.
    Closes: #322150, #341324
  * Added postinst and prerm config management for libapache2-mod-php4.
    Closes: #322149

 -- Jonathan Oxer <jon@debian.org>  Wed, 30 Nov 2005 14:11:00 +1100
