=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jonathan Oxer <jon@debian.org>
 Build-Depends: debhelper (>> 4.0.0), binutils, php4-dev (>= 4:4.3.10-3 )
-Standards-Version: 3.6.1
+Standards-Version: 3.6.2
 
 Package: php4-apd
 Architecture: any
