=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 
 
 PHP_PREFIX=/usr
-phpapiver=$(shell grep '\#define PHP_API_VERSION ' $(PHP_PREFIX)/include/php4/main/php.h |sed 's/\#define PHP_API_VERSION //')
+#phpapiver=$(shell grep '\#define PHP_API_VERSION ' $(PHP_PREFIX)/include/php4/main/php.h |sed 's/\#define PHP_API_VERSION //')
+# We need to use the Zend module version so temporarily hard-code it here instead of using the PHP_API_VERSION above
+phpapiver="20050606";
 extdir=$(shell $(PHP_PREFIX)/bin/php-config --extension-dir)
 
 CFLAGS = -Wall -g
